Skip to content

List context vars for template version

Request

List all context variables used in the given template version.

If a template looks like:

Hello {{name}},

Your loan {{loanName}} is due on {{dueDate}}.

Thanks,
{{companyName}}

{{SOME_MACRO()}}

The context variables are name, loanName, dueDate and companyName as well as whatever context variables are defined in SOME_MACRO() (but SOME_MACRO itself is NOT a context variable). Note that this means sometimes a Template Version may contain many context variables since all possible context variables are included in this list.

Security
oauth2(Required scopes: communicator.template:read) or bearerAuth or apiKeyHeader
Path
templateVersionIdstring(TemplateVersionId)TV-[A-Z0-9]{4}-[A-Z0-9]{4}required

The Template Version ID.

Example:TV-AAAA-BBBB
GET
/communicator/templates/{templateVersionId}/vars
curl -i -X GET \
  https://sandboxapi.peach.finance/api/communicator/templates/TV-AAAA-BBBB/vars \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
Array of strings
Response
[ "string" ]